Bug 50645 - RFE -- Add SSLCryptoDevice option
RFE -- Add SSLCryptoDevice option
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: apacheconf (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-01 17:10 EDT by Michael E Brown
Modified: 2015-03-04 20:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-01 17:11:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael E Brown 2001-08-01 17:10:11 EDT
Description of Enhancement:
For support of the Broadcom 5280 SSL offload card, there should be an 
option in Apacheconf to set the SSL Engine used by OpenSSL to enable use 
of the card. 

-- Email from Nalin Dahyabhai:

The documentation for the OpenSSL engine code states that no hardware
engines are used unless specifically requested by the calling
application.
 
To do so with mod_ssl, add "SSLCryptoDevice ubsec" on a line within the
<IfDefine HAVE_SSL> section of httpd.conf, outside of any virtual host
declarations (in beta 3, this would be around line 1200 in the default
httpd.conf file).
Comment 1 Michael E Brown 2001-08-14 00:41:06 EDT
Per Mark Cox, this will be taken care of by adding a default crypto engine 
setting to OpenSSL, so no changes need to happen to apacheconf at this time.

Note You need to log in before you can comment on or make changes to this bug.